#!/usr/bin/perl -w

push @SPECHOOKS,
sub {
    my ($spec, ) = @_;
    my @found_static;
    $spec->applied_off;
    foreach my $sec ($spec->get_sections) {
	next if $sec->get_type ne 'files';
	$sec->map_body(
	    sub{
		if (/^\s*\%exclude\s+(\S+\.a)\s*$/) {
		    push @found_static, $1;
		    $_='';
		} elsif (/^\s*(\S+\.a)\s*$/) {
		    push @found_static, $1;
		    $_='';
		}
	    }
	);
	my $expanded_name=$sec->get_canonical_package;
	if ($expanded_name=~/-(?:static|static-devel)$/) {
	    warn 'warn: deleting: ',$sec->get_type,' ',$expanded_name;
	    $sec->delete;
	}
    }
    if (not @found_static) {
	die "remove static libraries (hook) failed: nothing found";
    } else {
	$spec->get_section('install')->push_body('# remove static libraries (hook)
'.join('',map {'rm -f %{buildroot}'.$_."\n"} @found_static)."\n");
    }
    $spec->applied_on;
};

__END__
