#!/usr/bin/perl -w

push @SPECHOOKS,
sub {
    my ($spec,) = @_;
    my $macros=$spec->macros;
    my ($devname,$fulldevname,$devpsec);
    foreach my $devnamemacro (qw/develname devel_name libnamedev devname/) {
	next if ! $macros->get_raw($devnamemacro);
	$devname='-n %{'.$devnamemacro.'}';
	$fulldevname='%{'.$devnamemacro.'}';
	$devpsec=$spec->get_section('package',$devname);
	last if $devpsec;
    }
    unless ($devpsec) {
	$devname='devel';
	$fulldevname='%{name}-devel';
	$devpsec=$spec->get_section('package',$devname);
    }
    die 'package ',$devname,' section not found' unless $devpsec;
    my $devdsec=$spec->get_section('description',$devname);
    die 'description ',$devname,' sec not found' unless $devdsec;

    $devdsec->push_body(q!
%package !.$devname.q!-static
Summary:        Static library for the %{name} library
Group:          Development/C
Requires:       !.$fulldevname.q! = %EVR

%description !.$devname.q!-static
This package contains the static %{name} library

%files !.$devname.q!-static
%{_libdir}/*.a
!."\n");

    my $devfsec=$spec->get_section('files',$devname);
    die 'files ',$devname,' sec not found' unless $devfsec;
    $devfsec->map_body(sub {$_='' if m!\%\{?_libdir\}?/.*\.?a\s*$!});
};

__END__
