#!/usr/bin/perl -w

push @SPECHOOKS, 
sub {
    my ($spec,) = @_;
    my $logfile;
    my $container_opt=$RPM::Source::Transformation::HookWrapper::opt;
    if ($container_opt) {
	my $env=$container_opt->{-hooks_environment_for_package};
	$logfile=$env->{'LOGOVED_LOGFILE'} if $env;
    }
    unless (defined($logfile)) {
	my $logdir='OUT-hsh.logs-failure';
	$logdir=$ENV{'LB_REBUILD_LOGDIR'} if $ENV{'LB_REBUILD_LOGDIR'};
	$logfile=$spec->macros()->macro_subst_if_defined($logdir.'/%name-%version-%release.src.rpm.log');
	#print STDERR "looking for $logfile\n";
    }
    return unless defined($logfile) and -e $logfile;

    my $filessec=$spec->get_section('files','');
    open(my $fn,'<', $logfile) || die "$! [$logfile].  Stopped ";
    my %add;
    while(<$fn>) {
	if (m!File not found by glob: /usr/src/tmp/perl-.*-buildroot/usr/share/perl5/auto/\*!) {
	    $filessec->exclude_body(qr'\%perl_vendor_privlib/auto/');
	} elsif (m!File not found by glob: /usr/src/tmp/perl-.*-buildroot/usr/share/perl5/auto/share/dist/(.)\*!) {
	    $filessec->exclude_body(qr'\%perl_vendor_privlib/auto/');
	} elsif (m!File not found by glob: /usr/src/tmp/perl-.*-buildroot/usr/share/perl5/(.)\*!) {
	    $filessec->exclude_body(qr'\%perl_vendor_privlib/'.$1);
	} elsif (m!File not found by glob: /usr/src/tmp/perl-.*-buildroot/usr/lib6?4?/perl5/auto/\*!) {
	    $filessec->exclude_body(qr'\%perl_vendor_archlib/auto/');
	    $filessec->exclude_body(qr'\%perl_vendor_autolib/');
	} elsif (m!File not found by glob: /usr/src/tmp/perl-.*-buildroot/usr/lib6?4?/perl5/(.)\*!) {
	    $filessec->exclude_body(qr'\%perl_vendor_archlib/'.$1);
	}
    }
    close($fn);
    if (not $filessec->match_body(qr'\%perl_vendor_(?:priv|arch|auto)lib/')) {
	$filessec->push_body(q'OOPS_NOTHING_TO_PACKAGE'."\n");
    }

};

__END__
