#!/usr/bin/perl -w

push @SPECHOOKS, 
sub {
    my ($spec,) = @_;
    my $logfile;
    my $container_opt=$RPM::Source::Transformation::HookWrapper::opt;
    if ($container_opt) {
	my $env=$container_opt->{-hooks_environment_for_package};
	$logfile=$env->{'LOGOVED_LOGFILE'} if $env;
    }
    unless (defined($logfile)) {
	my $logdir='OUT-hsh.logs-failure';
	$logdir=$ENV{'LB_REBUILD_LOGDIR'} if $ENV{'LB_REBUILD_LOGDIR'};
	$logfile=$spec->macros()->macro_subst_if_defined($logdir.'/%name-%version-%release.src.rpm.log');
	#print STDERR "looking for $logfile\n";
    }
    return unless defined($logfile) and -e $logfile;

    my $instsec=$spec->get_section('install');
    open(my $fn,'<', $logfile) || die "$! [$logfile].  Stopped ";
    my %add;
    local $_;
    while(<$fn>) {
	if (m!Cannot find blib even in /usr/src/RPM/BUILD!) {
	    <$fn>;
	    if (m!BEGIN failed--compilation aborted at /usr/src/tmp/.*-buildroot/usr/(bin|share/perl5|lib6?4?/perl5)/(\S*) line!) {
		warn "Oops! module with blib: $2\n";
		if ($1 eq 'share/perl5') {
		    $instsec->push_body(q'rm -f %buildroot%perl_vendor_privlib/'.$2."\n");
		} elsif ($1 eq 'bin') {
		    $instsec->push_body(q'rm -f %buildroot%_bindir/'.$2."\n");
		} else {
		    $instsec->push_body(q'rm -f %buildroot%perl_vendor_archlib/'.$2."\n");
		}
	    }
	}
    }
    close($fn);
};

__END__
