#!/usr/bin/perl -w

push @SPECHOOKS, 
sub {
    my ($spec,) = @_;
    my $fix_install=0;
    my $fix_files=0;
    $spec->applied_off();
    foreach my $sec ($spec->get_sections()) {
	my $type=$sec->get_type();
	if ($type eq 'install') {
	    $sec->map_body(
		sub {
		    $fix_install=1 if s,(?<!\%)\%\{?_sysconfdir\}?/udev/rules\.d,%{_udevrulesdir},g;
		    $fix_install=1 if s,(?<!\%)\%\{?_usr\}?/lib/udev/rules\.d,%{_udevrulesdir},g;
		});
	} elsif ($type eq 'files') {
	    $sec->map_body(
		sub {
		    $fix_files=1 if s,(?<!\%)\%(config\s+\%)?\{?_sysconfdir\}?/udev/rules\.d,%{_udevrulesdir},g;
		    $fix_files=1 if s,(?<!\%)\%\{?_usr\}?/lib/udev/rules\.d,%{_udevrulesdir},g;
		});
	}
    }
    $spec->applied_on();
    if (!$fix_files) {
	warn "WARNING: set_udevrulesdir.pl hook: not fixed files!\n";
	return;
    }
    return if $fix_install;
    warn "info: set_udevrulesdir.pl hook: fixing install manually...\n";
    $spec->get_section('install')->push_body(q!
# _udevrulesdir fix
mkdir -p %buildroot%{_udevrulesdir}
mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%{_udevrulesdir}/!."\n");

};

__END__

